aboutsummaryrefslogtreecommitdiffstats
path: root/x11/poppler/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-19 20:48:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-19 20:48:20 +0000
commit50dc7db131de9b244f317a21b73ff429a0ee9225 (patch)
treeb118e233141d78093cf49a22c1559fb5f5cfde59 /x11/poppler/APKBUILD
parent196b5d99bd139001ab703f47518f6d9a7c5323e0 (diff)
downloadaports-50dc7db131de9b244f317a21b73ff429a0ee9225.tar.gz
aports-50dc7db131de9b244f317a21b73ff429a0ee9225.tar.bz2
aports-50dc7db131de9b244f317a21b73ff429a0ee9225.tar.xz
x11/poppler: new aport
PDF rendering library based on xpdf 3.0 http://poppler.freedesktop.org/
Diffstat (limited to 'x11/poppler/APKBUILD')
-rw-r--r--x11/poppler/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/x11/poppler/APKBUILD b/x11/poppler/APKBUILD
new file mode 100644
index 0000000000..04ed2db8f3
--- /dev/null
+++ b/x11/poppler/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=poppler
+pkgver=0.10.7
+pkgrel=0
+pkgdesc="PDF rendering library based on xpdf 3.0"
+url="http://poppler.freedesktop.org/"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-glib"
+makedepends="jpeg-dev cairo-dev gtk+-dev libxml2-dev fontconfig-dev pkgconfig
+ glib-dev"
+depends=
+depends_dev="glib-dev gtk+-dev cairo-dev"
+source="http://$pkgname.freedesktop.org/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-cairo-output \
+ --enable-xpdf-headers \
+ --enable-libjpeg \
+ --enable-zlib \
+ --disable-poppler-qt4 \
+ --enable-poppler-glib \
+ --disable-poppler-qt \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+glib() {
+ pkgdesc="Glib bindings for poppler"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libpoppler-glib* "$subpkgdir"/usr/lib/
+}
+
+md5sums="ba120e49a82567d85d00e159011ebe67 poppler-0.10.7.tar.gz"